Events
List event settings profiles
Lists reusable events settings profiles and usage counts. Returns compact records without readiness and timestamps. Requires the event view capability; all records are scoped to the authenticated organization.
GET
/
admin
/
events
/
settings
List event settings profiles
curl --request GET \
--url https://api.gratona.com/v1/admin/events/settings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gratona.com/v1/admin/events/settings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gratona.com/v1/admin/events/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/events/settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/events/settings"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gratona.com/v1/admin/events/settings")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/events/settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 42,
"name": "Gala defaults",
"program_settings": {
"public_page_enabled": false,
"show_sponsors": false,
"show_remaining_capacity": false,
"allow_donation_addon": false,
"allow_recurring_gift_ask": false,
"allow_child_sponsorship_ask": false,
"cover_fees_enabled": false,
"public_offline_payment_enabled": false,
"magic_link_management_enabled": false,
"event_day_check_in_enabled": false,
"check_in_blocked_payment_statuses": [
"pending"
],
"include_pending_orders_in_event_revenue": false,
"wallet_passes_enabled": false,
"auction_enabled": false,
"privacy_mode": "Example",
"check_payment_instructions": "Example",
"donor_hysform_id": 1,
"emailset_id": 1,
"confirmation_email_template_id": 1,
"reminder_email_template_id": 1,
"follow_up_email_template_id": 1,
"donation_ask_amounts": [
1
],
"program_type": "events"
},
"in_use_count": 42,
"readiness": [
{
"key": "event_profile",
"label": "Event profile",
"ready": false,
"required": false,
"message": "Name, slug, and event type are required."
}
],
"created_at": "2026-10-20T12:00:00Z",
"updated_at": "2026-10-20T12:00:00Z"
}
]
}{
"message": "Something went wrong. Please try again.",
"status": "error",
"error": "invalid_request",
"code": "DONOR_NOT_FOUND"
}{
"message": "Something went wrong. Please try again.",
"status": "error",
"error": "invalid_request",
"code": "DONOR_NOT_FOUND"
}⌘I
List event settings profiles
curl --request GET \
--url https://api.gratona.com/v1/admin/events/settings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gratona.com/v1/admin/events/settings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gratona.com/v1/admin/events/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/events/settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/events/settings"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gratona.com/v1/admin/events/settings")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/events/settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 42,
"name": "Gala defaults",
"program_settings": {
"public_page_enabled": false,
"show_sponsors": false,
"show_remaining_capacity": false,
"allow_donation_addon": false,
"allow_recurring_gift_ask": false,
"allow_child_sponsorship_ask": false,
"cover_fees_enabled": false,
"public_offline_payment_enabled": false,
"magic_link_management_enabled": false,
"event_day_check_in_enabled": false,
"check_in_blocked_payment_statuses": [
"pending"
],
"include_pending_orders_in_event_revenue": false,
"wallet_passes_enabled": false,
"auction_enabled": false,
"privacy_mode": "Example",
"check_payment_instructions": "Example",
"donor_hysform_id": 1,
"emailset_id": 1,
"confirmation_email_template_id": 1,
"reminder_email_template_id": 1,
"follow_up_email_template_id": 1,
"donation_ask_amounts": [
1
],
"program_type": "events"
},
"in_use_count": 42,
"readiness": [
{
"key": "event_profile",
"label": "Event profile",
"ready": false,
"required": false,
"message": "Name, slug, and event type are required."
}
],
"created_at": "2026-10-20T12:00:00Z",
"updated_at": "2026-10-20T12:00:00Z"
}
]
}{
"message": "Something went wrong. Please try again.",
"status": "error",
"error": "invalid_request",
"code": "DONOR_NOT_FOUND"
}{
"message": "Something went wrong. Please try again.",
"status": "error",
"error": "invalid_request",
"code": "DONOR_NOT_FOUND"
}